About site plans

Use the Site Plan template to create architectural site plans and garden landscape plans.

Click to show or hide information. Architectural site plan

In an architectural site plan, such as a plan for a parking lot, you can include islands and landscaping, irrigation, driveways, street junctions, on-street and off-street parking, and traffic-management features.

Show me an example

Click to show or hide information. Garden landscape plan

In a garden landscape plan, you can include plants, fences, irrigation equipment, pools, and sport fields.

Show me an example

Create a site plan


Create a site plan

  1. On the File menu, point to New, point to Building Plan, and then click Site Plan.

By default, this solution opens a scaled drawing page in landscape orientation Wide page. You can change these settings at any time.

  2. To incorporate buildings into your site plan, do one of the following:

Click to show or hide information. Draw outlines of the buildings

Use the Line tool [image] or the Rectangle tool [image] to draw outlines of buildings.

Click to show or hide information. Insert a CAD floor plan

  1. On the Insert menu, click CAD Drawing.
  2. Under Files of type, select AutoCAD Drawing (*.dwg, *.dxf) or MicroStation Drawing (*.dgn). Locate the CAD file and click Open.
  3. To accept the size and location of the CAD drawing, click OK.

After you have inserted the drawing, you can resize it, change its scale, or move it. You can also lock the Visio layer that contains the CAD drawing.

Click to show or hide information. Copy and paste an existing Visio floor plan drawing into a new drawing

  1. Open an existing Visio drawing.
  2. On the File menu, click Page Setup, and then click the Scale tab. Make note of the scale setting in the existing drawing, and then set the scale of your new drawing to match.
  3. In the existing drawing, select the shapes you want to use in the new drawing and then, on the Edit menu, click Copy.
  4. Switch to the new drawing, and then, on the Edit menu, click Paste.

Click to show or hide information. Tip

You can lock the layers of the existing Visio drawing. By doing so, you can create a new drawing on top of the existing drawing without accidentally changing it.

  3. Depending on your drawing type, do one or both of the following:

Click to show or hide information. Add roads and parking stalls

  1. From the horizontal and vertical rulers, drag guides and position them on the page to mark the locations of the site perimeter, stalls, and roads in the drawing.
  2. From the Parking and Roads stencil, drag curbs and driveways onto the drawing page.
  3. From the Parking and Roads stencil, position parking strips, stalls, and islands on the drawing page. Glue their endpoints ( [image] or [image]) to guides.

Click to show or hide information. Tips

  • To reposition parking stalls, drag the guide to which they are glued.
  • To keep the alignment of a shape from changing while you move the shape, press SHIFT.
  4. From the Vehicles, Site Accessories, and Planting stencils, position vehicles, parking accessories, and landscape shapes around the parking strips and stalls. Glue their endpoints to guides.

Click to show or hide information. Tip

Use shapes from the Annotations and Dimensioning stencils to add labels or dimension lines to your site plan.

Click to show or hide information. Add landscaping elements

  • From the Garden Accessories stencil, drag fence shapes and gate shapes onto the drawing page.
  • From the Sport Fields and Recreation stencil, drag recreational equipment shapes, such as a pool or a swing set, onto the drawing page.
  • From the Garden Accessories stencil, add patios and walkways by dragging shapes onto the drawing page.
  • From the Irrigation stencil, add irrigation equipment by dragging shapes onto the drawing page.
  4. Add plants by dragging shapes from the Planting stencil onto the drawing page. Use the Plant callout shape to label plants.

You can record the plant's common name and foliage type as custom properties.

Click to show or hide information. Enter custom property values

  1. Select the shape, and then on the Shape menu, click Custom Properties.

If the shape has no custom properties, a message appears and prompts you to define custom properties.

  2. In the Custom Properties dialog box, click in each custom property field and type or select a value.

Click to show or hide information. Tip

To create and arrange multiple copies of shapes, such as plants and paving stones, use the Array Shapes command.


Garden landscape example

Garden landscape plan showing house, plants, and patio


Parking lot example

Architectural site plan showing parking spaces, plants, and walkways


Indicate the locations of roads and parking lots

Use shapes from the stencils in the Site Plan template to indicate the locations of curbs, driveways, parking stalls, parking strips, islands, and accessories.

Click to show or hide information. Lay out roads and parking lots

  1. From the horizontal and vertical rulers, drag guides and position them on the page to mark the locations of the site perimeter, stalls, and roads in the drawing.
  2. From the Parking and Roads stencil, drag curbs and driveways onto the drawing page.
  3. From the Parking and Roads stencil, position parking strips, stalls, and islands on the drawing page. Glue their endpoints ( [image] or [image]) to guides.

Click to show or hide information. Tips

  • To reposition parking stalls, drag the guide to which they are glued.
  • To keep the alignment of a shape from changing while you move the shape, press SHIFT.
  4. From the Vehicles, Site Accessories, and Planting stencils, position vehicles, parking accessories, and landscape shapes around the parking strips and stalls. Glue their endpoints to guides.

Click to show or hide information. Tip

Use shapes from the Annotations and Dimensioning stencils to add labels or dimension lines to your site plan.

Click to show or hide information. Resize parking and road shapes

To resize parking and road shapes, do one of the following:

  • Drag a control handle [image].

For example, dragging the control handle on a Radial strip shape changes the number of stalls.

To see a tip that describes what a control handle [image] on a selected shape does, pause the pointer over the handle.

  • Drag a selection handle [image].

For example, dragging a selection handle on a Parking strip shape changes the number of stalls.

Click to show or hide information. Connect parking and road shapes

To connect parking and road shapes, do one of the following:

  • Glue the begin point [image] or end point [image] of one shape to a connection point [image] on another shape, as shown in the following illustration.

Parking strip with wrap-around island

  • Glue the control handle [image] of one shape to a connection [image] point on another shape, as shown in the following illustration.

End island and parking strip

To see a tip about a control handle [image] for a selected shape, pause the pointer over the handle.

  • Use the Line tool [image] to draw road outlines that you can connect to curb and driveway shapes, as shown in the following illustration.

Extend driveway with Line tool

Click to show or hide information. Create a non-angled parking stall

  1. From the Parking and Roads stencil, drag a Parking strip or Parking stall shape onto the drawing page.
  2. In the Custom Properties dialog box, in the Stall Angle list, click 90 degrees.

Click to show or hide information. Tip

To adjust a parking strip or parking stall already on your drawing page, right-click the shape, and then click Properties.

Click to show or hide information. Change the configuration of parking and road symbols

  • To change the radius of a curved shape, right-click the shape, and then click Properties.
  • To change the properties of a parking stall or space, right-click the shape, and then click Properties.
  • To change other shape-specific features, right-click a shape, and then choose the appropriate command from the shortcut menu.

For example, you can show or hide dimension text for a parking stall.